Bug 132920 - Kudzu 1.1.68.2 hang
Kudzu 1.1.68.2 hang
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 12:50 EDT by Sam Varshavchik
Modified: 2015-01-04 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:02:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from lspci. (10.07 KB, text/plain)
2004-09-19 12:51 EDT, Sam Varshavchik
no flags Details
Dmesg boot log (sans kudzu) (13.36 KB, text/plain)
2004-09-19 12:51 EDT, Sam Varshavchik
no flags Details
Output from dmidecode. (13.27 KB, text/plain)
2004-09-19 12:52 EDT, Sam Varshavchik
no flags Details
kudzu.gz - gzipped strace. (63.95 KB, application/octet-stream)
2004-09-20 20:52 EDT, Sam Varshavchik
no flags Details
/var/log/messages (18.94 KB, text/plain)
2004-09-21 20:46 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2004-09-19 12:50:32 EDT
Description of problem:

The kudzu 1.1.68.2 errata hangs my laptop during boot. Earlier kudzus
were OK.  I'm running the latest kernel, 2.6.8-1.521.

Kudzu hangs forever now. I have to disable kudzu from running, in
order to boot this laptop.

Attaching the usual stuff.  This is a Linux laptop from laclinux.com
Comment 1 Sam Varshavchik 2004-09-19 12:51:08 EDT
Created attachment 103997 [details]
Output from lspci.
Comment 2 Sam Varshavchik 2004-09-19 12:51:43 EDT
Created attachment 103998 [details]
Dmesg boot log (sans kudzu)
Comment 3 Sam Varshavchik 2004-09-19 12:52:10 EDT
Created attachment 103999 [details]
Output from dmidecode.
Comment 4 Bill Nottingham 2004-09-20 01:39:10 EDT
Can you get an strace?
Comment 5 Sam Varshavchik 2004-09-20 20:52:17 EDT
Created attachment 104049 [details]
kudzu.gz - gzipped strace.

Here's a gzipped strace, with a caveat.  The kudzu process could not be kill
-9ed, so after I made sure that no more output was coming from strace, I
SIGTERMed the strace process.  I'm counting on strace flushing its stdout when
it receives a SIGTERM, before exiting, and the strace won't lose any buffered
output.

The strace seems to suggest that the modprobe yenta_socket subprocess is
hanging in delete_module("yenta_socket"), yet if I strace rmmod yenta_socket,
the syscall immediately comes back with an EBUSY...
Comment 6 Bill Nottingham 2004-09-21 01:17:24 EDT
What's the output of lsmod when it's stuck - any kernel messages?
Comment 7 Sam Varshavchik 2004-09-21 20:46:40 EDT
Created attachment 104100 [details]
/var/log/messages

When it's stuck, lsmod shows the following:

Module			Size  Used by
yenta_socket	       15937  0 
pcmcia_core	       51336  1 yenta_socket
sg		       28513  0 
microcode		5601  0 
ohci1394	       31577  0 
ieee1394	      285333  1 ohci1394
dm_mod		       47317  0 
sd_mod		       17473  0 
usb_storage	       58121  0 
scsi_mod	      105360  3 sg,sd_mod,usb_storage
ehci_hcd	       27973  0 
uhci_hcd	       28505  0 
button			4825  0 
battery 		7117  0 
asus_acpi		9177  0 
ac			3533  0 
ext3		       96937  2 
jbd		       66521  1 ext3

At this time, ps -fwu root shows the following:

UID	   PID	PPID  C STIME TTY	   TIME CMD
root	     1	   0  2 20:34 ?        00:00:01 init [5]  
root	     2	   1  0 20:34 ?        00:00:00 [ksoftirqd/0]
root	     3	   1  0 20:34 ?        00:00:00 [events/0]
root	     4	   3  0 20:34 ?        00:00:00 [khelper]
root	     5	   3  0 20:34 ?        00:00:00 [kacpid]
root	    26	   3  0 20:34 ?        00:00:00 [kblockd/0]
root	    27	   1  0 20:34 ?        00:00:00 [khubd]
root	    38	   3  0 20:34 ?        00:00:00 [pdflush]
root	    39	   3  0 20:34 ?        00:00:00 [pdflush]
root	    40	   1  0 20:34 ?        00:00:00 [kswapd0]
root	    41	   3  0 20:34 ?        00:00:00 [aio/0]
root	   148	   1  0 20:34 ?        00:00:00 [kseriod]
root	   187	   1  0 20:34 ?        00:00:00 [kjournald]
root	   689	   1  0 20:34 ?        00:00:00 [scsi_eh_0]
root	   690	   1  0 20:34 ?        00:00:00 [usb-storage]
root	  1148	   1  0 20:34 ?        00:00:00 [kjournald]
root	  1191	   1  0 20:34 ?        00:00:00 [khpsbpkt]
root	  1204	   1  0 20:34 ?        00:00:00 [knodemgrd_0]
root	  1216	   1  0 20:34 ?        00:00:00 /bin/bash /etc/rc.d/rc 5
root	  1268	1216  0 20:34 ?        00:00:00 /bin/bash /etc/rc5.d/S05kudzu
start
root	  1281	1268  0 20:34 ?        00:00:00 /usr/bin/strace -ff -s 1024
/usr/sbin/kudzu -t 30
root	  1282	1268  0 20:34 ?        00:00:00 /bin/bash
root	  1292	1281  0 20:34 ?        00:00:00 /usr/sbin/kudzu -t 30
root	  2379	   1  0 20:35 ?        00:00:00 [pccardd]
root	  2383	1292  0 20:35 ?        00:00:00 /sbin/modprobe -q -r
yenta_socket
root	  2389	1282  0 20:35 ?        00:00:00 ps -fwu root


There's that stuck modprobe process.

syslog isn't up yet, but manually starting syslog captures the boot dump in the
kernel's buffer, everything logged since the kernel booted, and up until
yenta_socket was loaded.  Attached.
Comment 8 Bill Nottingham 2004-09-22 02:12:51 EDT
Assigning to kernel.
Comment 9 Dave Jones 2005-04-16 01:02:35 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.